Skip to main content
`Ctrl`+`K`

# STSetMatrices

Sets the matrices associated with the eigenvalue problem.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetMatrices(ST st,PetscInt n,Mat A[])

Collective

## Input Parameters

- st - the spectral transformation context

- n - number of matrices in array `A`

- A - the array of matrices associated with the eigensystem

## Notes

It must be called before `STSetUp()`. If it is called again after `STSetUp()` then the `ST` object is reset.

In standard eigenproblems only one matrix is passed, while in generalized problems two matrices are provided. The number of matrices is larger in polynomial eigenproblems.

In normal usage, matrices are provided via the corresponding `EPS` of `PEP` interface function.

## See Also

ST: Spectral Transformation, `STGetMatrix()`, `STGetNumMatrices()`, `STSetUp()`, `STReset()`

## Level

intermediate

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages